# WOK
TKWOK
MS

# MS_StdClass Class Reference

`#include <MS_StdClass.hxx>`

Inheritance diagram for MS_StdClass:

[legend]

## Public Member Functions

Standard_EXPORT | MS_StdClass (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aPackage)
Standard_EXPORT | MS_StdClass (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aPackage, const Handle(TCollection_HAsciiString)&Mother, const Standard_Boolean aPrivate, const Standard_Boolean aDeferred, const Standard_Boolean aInComplete)
virtual Standard_EXPORT void | Validity (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aPackage) const
Standard_EXPORT void | CreatedBy (const Handle(MS_InstClass)&anInstClass)
| If a class was created by an instantiation, this method is called. .
Standard_EXPORT Handle_MS_InstClass | GetMyCreator () const
Standard_EXPORT void | SetGenericState (const Standard_Boolean aNestingState)
Standard_EXPORT Standard_Boolean | IsGeneric () const
| if <me> has not been instantiated return True Because <me> may be defined in a generic class.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_MS_InstClass | myInstClass
Standard_Boolean | myNestingState
Handle_TCollection_HAsciiString | myComment

## Constructor & Destructor Documentation

Standard_EXPORT MS_StdClass::MS_StdClass | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aPackage
| ) |

Standard_EXPORT MS_StdClass::MS_StdClass | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aPackage,
|  | const Handle(TCollection_HAsciiString)& | Mother,
|  | const Standard_Boolean | aPrivate,
|  | const Standard_Boolean | aDeferred,
|  | const Standard_Boolean | aInComplete
| ) |

## Member Function Documentation

Standard_EXPORT void MS_StdClass::CreatedBy | ( | const Handle(MS_InstClass)& | anInstClass | ) |

Standard_EXPORT Handle_MS_InstClass MS_StdClass::GetMyCreator | ( |  | ) | const

Standard_EXPORT const MS_StdClass::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MS_Class. Reimplemented in MS_Error.

Standard_EXPORT Standard_Boolean MS_StdClass::IsGeneric | ( |  | ) | const

Standard_EXPORT void MS_StdClass::SetGenericState | ( | const Standard_Boolean | aNestingState | ) |

virtual Standard_EXPORT void MS_StdClass::Validity | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aPackage
| ) | const`[virtual]`

| Implements MS_Class. Reimplemented in MS_Error.

## Field Documentation

Handle_TCollection_HAsciiString MS_StdClass::myComment `[private]`

| Reimplemented from MS_Class.

Handle_MS_InstClass MS_StdClass::myInstClass `[private]`

Standard_Boolean MS_StdClass::myNestingState `[private]`

The documentation for this class was generated from the following file:

- MS_StdClass.hxx